### Property

# Gtk TreeViewColumn:sort-column-id

#### Declaration

    property sort-column-id: int [ read, write ]

#### Description [src]

Logical sort column ID this column sorts on when selected for sorting. Setting the sort column ID makes the column header clickable. Set to -1 to make the column unsortable.

Type: | `gint`

Default value | -1
Getter method | `gtk_tree_view_column_get_sort_column_id()`
Setter method | `gtk_tree_view_column_set_sort_column_id()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no